{{/*
SPDX-FileCopyrightText: 2024 Zentrum für Digitale Souveränität der Öffentlichen Verwaltung (ZenDiS) GmbH
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
---
kind: "Secret"
apiVersion: "v1"
metadata:
  name: {{ include "common.names.fullname" . | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
    {{- end }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
stringData:
  {{- if .Values.configuration.homeserver.signingKey }}
  signingKey: {{ .Values.configuration.homeserver.signingKey | quote }}
  {{- end }}
  {{- range $index, $value := .Values.configuration.homeserver.appServiceConfigs }}
  app-service-{{ $value.id | default $index }}.yaml: | {{ $value | toYaml | nindent 4 }}
  {{- end }}
...
{{- if not .Values.configuration.database.password.existingSecret.name }}
---
kind: "Secret"
apiVersion: "v1"
metadata:
  name: {{ printf "%s-%s" (include "common.names.fullname" .) "database-password" | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
    {{- end }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
stringData:
  pgpass.conf: {{ printf "%s:%v:%s:%s:%s" .Values.configuration.database.host .Values.configuration.database.port .Values.configuration.database.name .Values.configuration.database.user (.Values.configuration.database.password.value | replace ":" "\\:") | quote }}
...
{{- end }}
